in this provided code he made the dqueue deque dq; with integer data type replace it with long long new test case has been added in leetcode so due to overflow you will get wrong ans . so use long long
@girishgawai_08_11 Жыл бұрын
Improper explanation
@tonyz22032 жыл бұрын
Just got an offer from amazon. Thank you so much for your videos. They helped me a lot when grinding leetcode🙏🙏
@jethalalnhk24092 жыл бұрын
Can you plz tell time gap between 2nd round and 3rd round bcoz I cleared 2nd round 1.5 months ago but still haven't got round 3 mail and also i haven't got rejection mail.
@finchicoph17 сағат бұрын
omg, my back popped crouching at my computer. Very good teacher, 👏I understand everything you say. It's just that I don't think I can think of this on my own. I don't thing I can come-up with a solution to store (idx,sum) in a deque and arrange them monotonically. Like how does this all make sense before you know it? Fine!
@techdose4u16 сағат бұрын
You need to do it multiple times before it starts hitting you :)
@vijaytirukkovalluru45352 жыл бұрын
Thanks for being a great teacher!
@udaysingh-zi9xq2 жыл бұрын
Hello Sir, if possible make a playlist of all important questions for interviews.This would help the community a lot! Your way of explanation is phenomenal that's why I am requesting you to provide these super helpful playlists here on youtube so that it helps those who can't afford resources.
@darshansimha21662 жыл бұрын
Such an elegant and beautiful explanation. Thank you Surya Pratap 🙏🏽
@deepali-e6f2 жыл бұрын
I can't understand intuition behind this approach!! I have read many articles on leetcode also, but still...
@AJAYPAL-zu6lg2 жыл бұрын
Congratulations sir 🎉 for getting AIR 1 in Google kick start
@Pegasus02Kr2 жыл бұрын
From the example, when we insert (4,3) why do we have to leave (2,0) to deque? As subarray should be contiguous, doesn't it also have to removed as its left to newly considering index 3?
@harigovind112 жыл бұрын
Think of this case. [2,-1,2], k = 3 . Now we will need to keep the index of first 2 in the array as well to get monotonically increasing value of complete subarray.
@Pegasus02Kr2 жыл бұрын
@@harigovind11 Thanks for the explanation. Your example gave me the point I was missing.
@randomguy48222 жыл бұрын
Sir you said , you only pop when sum is >= target , what if the array is [-12,-22,-33,5] and target is 4 , how would it work in this case ?
@vikneshcs48245 ай бұрын
Why monotonocity is preserved? What happens when we include negatives
@ethanz4928 Жыл бұрын
in the first solution sliding window one which you said it won't work. if the right till the end, why not keep the left index and doing a seperate for loop start from this left index and shrinking again?
@anshugangwar73442 жыл бұрын
Calculating Max Sum of Array with the following condition, If A[i] element contributing in max sum,than you can't consider A[i]-1 and A[i]+1 element for max sum contribution, if present in array . Note: Elements of the array can be repeated multiple times. It's unsorted. It can have 1 to n number of element. eg: int A[ ]={1,6,7,1,2,3,3,4,5,5,5,6,9,10}; If I consider 10 as contributing max sum, I can consider 9 and 11. (Here 11 is not present but 9 is present still we can’t consider it). If I consider 5 (total max sum contribution 5*3) but can’t consider 4 and 6. I have tried sorting and storing index and count in the ordered map. Also try to compare with unbounded knapsack criteria. Still, I was struggling with an optimal and clear idea to calculate. Any idea how to approach it .
@Yash-uk8ib2 жыл бұрын
Consider storing the elements into an array (hashing) and apply house robber (kind of, but the approach would be similar) on this freqency Array
@lovleshbhatt77977 ай бұрын
What is the intuition behind this algorithm and why monotonous increasing will work here, can anybody please explan?
@ekengineer9868 Жыл бұрын
Such a smooth explanation !
@Gggggg172eyeyeurhuwue2 жыл бұрын
Thanks for the solution, but what is the point of keep [2,0] and [4,3] in the queue, what does it represent ?, isn't it non-contiguos.
@sakshigupta76162 жыл бұрын
Think of this case. [2,-1,2], k = 3 . Now we will need to keep the index of first 2 in the array as well to get monotonically increasing value of complete subarray. So basically we can remove from deque only when the sum gets greater than k.. In other cases we should not delete it because it might be of use.
@suryasriram30902 жыл бұрын
I'm new to programming, can anyone of you tell me which is the best way to start learning coding? And best platform(which has the complete content)? Any good Websites?/video courses?
@jimmyaghera1897Күн бұрын
nice explanation sirg
@techdose4uКүн бұрын
thanks :)
@HarshhPrajapati2 жыл бұрын
🔥🔥🔥 Sir, on which software(Blackboard) are you writing this??
@guneetmalhotra012 жыл бұрын
Hey, did you get it?
@HarshhPrajapati2 жыл бұрын
@@guneetmalhotra01 nope
@surajJoshiFilms Жыл бұрын
Why popping elements from the deque won't affect the result?
@mk-mc8yx2 жыл бұрын
I have not looked at Leetcode. I guess there are at least 1000 problems. How do one remember the logic, even after practicing or understanding the logic, I do tend to forget things. Guess its sign of aging :(
@shubhamthakur-wo4um2 жыл бұрын
How would this logic work out for [2, -1, 2] and target = 3 ? As per the analysis, the final queue is [ (1,1) , (3,2)]. But the answer is 3.
@suryasriram30902 жыл бұрын
Hi, can you tell me which is the best way to start learning coding? And best platform(which has the complete content)? Any good Websites?/video courses?
@singhontop2 жыл бұрын
i am also stuck on then same case, did you find any solution for it?
@ENGCS_JaiSaxena Жыл бұрын
Guys even if leetcode test case pass , this approach is wrong for generally solving the questions, thousands of test case will fail
@naniscompass31732 жыл бұрын
What is the name of this tool (colour pens) which is your using to write on blackboard?
@girishgawai_08_11 Жыл бұрын
it doesn't make sense if you only explains a single example, also you are saying delete it if still the sum is greater but in end when 18-8
@techstuff9830 Жыл бұрын
Sir what about binary search approach when binary search on possible lengths and finding if this length is possible or not by sliding window, why this approach is giving me wrong on 87/97
@atharvasingh55686 ай бұрын
The numbers are negative also in array thus thinking that increasing window size would increase sum is wrong
@MeraBaapHaiTu3117 сағат бұрын
If your window of length say 5 is satisfying the sum then that doesn't ensure all more than 5 will satisfy as you are also having negative values so you will definitely miss the answer in binary search
@sailendrachettri8521Күн бұрын
Nice solution :)
@techdose4uКүн бұрын
Yes, thanks
@mohithadiyal6083 Жыл бұрын
Such amazing explanation 😁😁
@Jeremy-yb5yo2 жыл бұрын
Stopped making new videos?
@latchireddiekalavya4683 Жыл бұрын
nice explanation sir!!
@vineettomar25352 жыл бұрын
Code not workingon leetcode now as few more test cases added
@bchen14032 жыл бұрын
Great explanation with clear visualization.
@Truysジャ2 жыл бұрын
Nice explanation sir
@Hrit2 жыл бұрын
Clean Explanation. Thanks!
@guneetmalhotra012 жыл бұрын
Can anyone tell me which blackboard software is this?
@manikk6342 жыл бұрын
Not able to get the case with above approach is [5, 7, -12, 20, 5, 2, 1, 23] target =8 minimal subarray is -12, 20
@sakshigupta76162 жыл бұрын
minimal subarray would be 20 here cause it is greater than 8. It is giving right answer, I checked on leetcode.
@keerthivasan1382 жыл бұрын
Bro Did you Find any Valid answer
@ENGCS_JaiSaxena Жыл бұрын
@@sakshigupta7616then solve for this [7,-1,6,1,1,1] K= 9